
<style type="text/css">
  /*.inline {
    display: inline-block;
  }*/
</style>

<%= simple_form_for_horizontal @admin_config do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <%= hidden_field_tag :type, 'mail' %>
  <div class="row">
    <div class="col-sm-6">
      <div class='config-title'><%= Admin::AdminConfig.human_attribute_name(:mailer_options) %></div>
      <div class="form-inputs">
        <%= @admin_config.mailer_options['smtp_settings'] %>
        <%= f.simple_fields_for :mailer_options, OpenStruct.new(@admin_config.mailer_options) do |fconnexion| %>
          <%= fconnexion.input :from, label: t("mailer_options_from", scope: ['activerecord','attributes','admin/admin_config']),
                                        label_html: {class: "label-wide-horiz"} %>

          <%= fconnexion.input :domain, label: t("mailer_options_domain", scope: ['activerecord','attributes','admin/admin_config']),
                                        label_html: {class: "label-wide-horiz"} %>
          <%= fconnexion.input :port, as: :integer, label: t("mailer_options_port", scope: ['activerecord','attributes','admin/admin_config']),
                                        label_html: {class: "label-wide-horiz"} %>
          <%= fconnexion.input :address, label: t("mailer_options_address", scope: ['activerecord','attributes','admin/admin_config']),
                                        label_html: {class: "label-wide-horiz"} %>
          <hr>
          <%= fconnexion.input :authentication, as: :radio_buttons, collection: [['none', 'none'], ['login', 'login']],
                                     label: t("mailer_options_authentication", scope: ['activerecord','attributes','admin/admin_config']),
                                     label_html: {class: "label-wide-horiz"} %>
          <div id="mailer-option-authentication" style="display:<%= @admin_config.mailer_options['authentication']=='none' ? 'none;' : 'block;'%>">
            <%= fconnexion.input :user_name, label: t("mailer_options_user_name", scope: ['activerecord','attributes','admin/admin_config']),
                                       label_html: {class: "label-wide-horiz"},
                                       required: false %>
            <%= fconnexion.input :password, label: t("mailer_options_password", scope: ['activerecord','attributes','admin/admin_config']),
                                       label_html: {class: "label-wide-horiz"},
                                       input_html: {value: @admin_config.mailer_options['password']},
                                       required: false %>
          </div>

          <hr>
          <%= fconnexion.input :more_options, as: :radio_buttons, collection: [['yes', 'true'], ['no', 'false']],
                                     label: t("mailer_options_more_options", scope: ['activerecord','attributes','admin/admin_config']),
                                     label_html: {class: "label-wide-horiz"} %>
          <div id="mailer-option-more_options" style="display:<%= @admin_config.mailer_options['more_options']!='true' ? 'none;' : 'block;'%>">
            <%= fconnexion.input :enable_starttls_auto, as: :radio_buttons, collection: [['true', 'true'], ['false', 'false']],
                                    label: t("mailer_options_enable_starttls_auto_html", scope: ['activerecord','attributes','admin/admin_config']),
                                    label_html: {class: "label-wide-horiz"},
                                    required: false %>
            <%= fconnexion.input :openssl_verify_mode, as: :radio_buttons,
                                    collection: [['none', 'none'], ['peer', 'peer']],
                                    label: t("mailer_options_openssl_verify_mode_html", scope: ['activerecord','attributes','admin/admin_config']),
                                    label_html: {class: "label-wide-horiz"},
                                    required: false %>
            <%= fconnexion.input :ssl_tls, as: :radio_buttons, collection: [['none', 'none'], ['ssl', 'ssl'], ['tls', 'tls']],
                                       label: t("mailer_options_ssl_tls_html", scope: ['activerecord','attributes','admin/admin_config']),
                                       label_html: {class: "label-wide-horiz"},
                                       required: false %>
          </div>
        <% end %>
      </div>
    </div>

    <div class="col-sm-6">
      <div class='config-title'><%= Admin::AdminConfig.human_attribute_name(:task_mails) %></div>
      <div class="form-inputs">
        <%= f.simple_fields_for :task_mails, OpenStruct.new(@admin_config.task_mails) do |fconnexion| %>
          <%= fconnexion.input :activate, as: :radio_buttons, collection: [['yes', 'true'], ['no', 'false']],
                                          label: t("task_mails_activate", scope: ['activerecord','attributes','admin/admin_config']),
                                          label_html: {class: "label-wide-horiz"},
                                          input_html: {} %>
          <div id='task-mails-options'>
            <%= fconnexion.input :dday, as: :radio_buttons, collection: [['yes', 'true'], ['no', 'false']],
                                        # as: :boolean, checked_value: 'true', unchecked_value: 'false',
                                        label: t("task_mails_dday", scope: ['activerecord','attributes','admin/admin_config']),
                                        label_html: {class: "label-wide-horiz"} %>
            <%= fconnexion.input :late, label: t("task_mails_late", scope: ['activerecord','attributes','admin/admin_config']),
                                        label_html: {class: "label-wide-horiz"} %>
            <%= fconnexion.input :ndays, label: t("task_mails_ndays", scope: ['activerecord','attributes','admin/admin_config']),
                                         label_html: {class: "label-wide-horiz"} %>
            <%= fconnexion.input :locale, as: :select, collection: [['fr', 'fr'], ['en', 'en']],
                                          label: t("task_mails_locale", scope: ['activerecord','attributes','admin/admin_config']),
                                          label_html: {class: "label-wide-horiz"} %>
          </div>
          <hr>
          <%= fconnexion.input :send_action_closed, as: :radio_buttons, collection: [['yes', 'true'], ['no', 'false']],
                                      label: t("task_mails_send_action_closed", scope: ['activerecord','attributes','admin/admin_config']),
                                      label_html: {class: "label-wide-horiz"} %>
        <% end %>
      </div>
    </div>
  </div>

  <br>

  <div class="form-actions">
    <%= f.button :submit, id: 'submit_button', class: 'btn btn-outline-warning' %>
  </div>
<% end %>

<script text="javascript">
  $(function() {
    $('.label-wide-horiz').each(function() {
      $(this).removeClass('col-sm-3').addClass('col-sm-6');
      $(this).next().removeClass('col-sm-9').addClass('col-sm-6');
    });

    // Show/Hide email config authentication
    $('input[name="admin_admin_config[mailer_options][authentication]"][type=radio]').click(function() {
      if ($(this).val() == 'none') {
        $('#mailer-option-authentication').hide();
        $('#mailer-option-authentication').find(":input").prop("disabled", true);
      }
      else {
        $('#mailer-option-authentication').show();
        $('#mailer-option-authentication').find(":input").prop("disabled", false);
      }
    });
    // Show/Hide email security config
    $('input[name="admin_admin_config[mailer_options][more_options]"][type=radio]').click(function() {
      if ($(this).val() == 'false') {
        $('#mailer-option-more_options').hide();
        $('#mailer-option-more_options').find(":input").prop("disabled", true);
      }
      else {
        $('#mailer-option-more_options').show();
        $('#mailer-option-more_options').find(":input").prop("disabled", false);
      }
    });


    // Show/Hide task mail infos
    $('input[name="admin_admin_config[task_mails][activate]"][type=radio][checked=checked]').each(function() {
      console.log(this);
      console.log($(this).val());
      if ($(this).val() == 'false') {
        $('#task-mails-options').hide();
      }
    });

    $('input[name="admin_admin_config[task_mails][activate]"][type=radio]').click(function() {
      console.log(this);
      console.log($(this).val());
      if ($(this).val() == 'false') {
        $('#task-mails-options').hide();
      }
      else {
        $('#task-mails-options').show();
      }
    });


    // Select all options to send all list content (ordered) to controller update
    $("#submit_button").on('click', function(event) {
      console.log('SUBMITED !!!');
      $('#customfields option').prop('selected', true);
    })

  });
</script>
